org.apache.mina.filter.codec.statemachine

## Class LinearWhitespaceSkippingState

- java.lang.Object
- - org.apache.mina.filter.codec.statemachine.SkippingState
  - - org.apache.mina.filter.codec.statemachine.LinearWhitespaceSkippingState

- All Implemented Interfaces:
    DecodingState

      public abstract class LinearWhitespaceSkippingState
      extends SkippingState

  `DecodingState` which skips space (0x20) and tab (0x09) characters.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearWhitespaceSkippingState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canSkip(byte b)` Called to determine whether the specified byte can be skipped.

    - ### Methods inherited from class org.apache.mina.filter.codec.statemachine.SkippingState

      `decode, finishDecode, finishDecode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinearWhitespaceSkippingState

          public LinearWhitespaceSkippingState()

  - ### Method Detail

    - #### canSkip

          protected boolean canSkip(byte b)

      Called to determine whether the specified byte can be skipped.
      Specified by:
        `canSkip` in class `SkippingState`
      Parameters:
        `b` - the byte to check.
      Returns:
        `true` if the byte can be skipped.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.